# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'migreat/version'

Gem::Specification.new do |spec|
  spec.name          = "migreat"
  spec.version       = Migreat::VERSION
  spec.authors       = ["Tyler Poland"]
  spec.email         = ["tyler.poland@gmail.com"]
  spec.description   = %q{*In Progress* Consolidates DB migrations into a single statement where possible.}
  spec.summary       = %q{Given a standard syntax gem migration, migreat will analyze the changes being applied to a single table within a single migration and attempt to consolidate them into a single statement per table.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
